Summary:  ISC-licensed implementation of LLDP
Name:     lldpd
Version:  1.0.17
Release:  2%{?dist}
License:  ISC
URL:      https://vincentbernat.github.io/lldpd/
Source0:  https://media.luffy.cx/files/lldpd/lldpd-%{version}.tar.gz
Source1:  lldpd.service
Source2:  lldpd-tmpfiles
Source3:  lldpd.sysconfig

BuildRequires: gcc make
BuildRequires: readline-devel check-devel net-snmp-devel libxml2-devel libevent-devel
BuildRequires: systemd
%{?systemd_requires}

Requires(pre): shadow-utils

%description
LLDP is an industry standard protocol designed to supplant proprietary
Link-Layer protocols such as EDP or CDP. The goal of LLDP is to provide
an inter-vendor compatible mechanism to deliver Link-Layer notifications
to adjacent network devices.

%package devel
Requires: %{name} = %{version}-%{release}
Summary: ISC-licensed implementation of LLDP

%description devel
lldpd development libraries and headers

%prep
%autosetup


%build
%configure --disable-static --with-snmp --disable-silent-rules \
  --with-privsep-user=%{name} --with-privsep-group=%{name} \
  --with-privsep-chroot=/run/%{name}/chroot \
  --with-lldpd-ctl-socket=/run/%{name}/%{name}.socket \
  --with-systemdsystemunitdir=%{_unitdir} --with-sysusersdir=no

%make_build


%install
%make_install
install -p -D -m644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -p -D -m644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -p -D -m644 %{SOURCE3} %{buildroot}/etc/sysconfig/%{name}
install -d -D -m 0755 %{buildroot}/run/%{name}/chroot
install -d -m 0755 %{buildroot}%{_sharedstatedir}/%{name}
rm -rf %{buildroot}/usr/share/doc/%{name}
rm -f %{buildroot}/usr/share/bash-completion/completions/lldpcli
rm -f %{buildroot}/usr/share/zsh/vendor-completions/_lldpcli
rm -f %{buildroot}/usr/share/zsh/site-functions/_lldpcli
rm -f %{buildroot}%{_libdir}/liblldpctl.la


%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
    useradd -r -g %{name} -d %{_sharedstatedir}/%{name} -s /sbin/nologin \
    -c "Used by the %{name} daemon" %{name}
exit 0

%post
%systemd_post %{name}.service


%preun
%systemd_preun %{name}.service


%postun
%systemd_postun_with_restart %{name}.service


%files
%license LICENSE
%doc NEWS README.md
%{_sbindir}/lldpcli
%{_sbindir}/lldpctl
%{_sbindir}/%{name}
%config %{_sysconfdir}/%{name}.d
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_libdir}/liblldpctl.so.4*
%dir /run/%{name}
%dir /run/%{name}/chroot
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service
%dir %attr(-,lldpd,lldpd) %{_sharedstatedir}/%{name}
%{_mandir}/man8/lldpcli.8*
%{_mandir}/man8/lldpctl.8*
%{_mandir}/man8/%{name}.8*

%files devel
%{_includedir}/lldp-const.h
%{_includedir}/lldpctl.h
%{_libdir}/liblldpctl.so
%{_libdir}/pkgconfig/lldpctl.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.17-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.17-1
- Bump version to 1.0.17

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Miaojun Dong <zoedong@tencent.com> - 1.0.4-1
- Initial build
